import Flutter
import UIKit

public class SwiftFlutterTextPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flutter_text_plugin", binaryMessenger: registrar.messenger())
    let instance = SwiftFlutterTextPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    if call.name == "getPlatformVersion" {
      var arg = call.arg
      result("iOS " + UIDevice.current.systemVersion)
    }
    
  }
}